Bug 818304 - [abrt] wuja-0.0.8-10.fc17: rfc822.py:388:__getitem__:KeyError: 'last-modified'
[abrt] wuja-0.0.8-10.fc17: rfc822.py:388:__getitem__:KeyError: 'last-modified'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wuja (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devan Goodwin
Fedora Extras Quality Assurance
abrt_hash:7834b03cce0ba3c1b6228e78176...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 13:15 EDT by leandro
Modified: 2013-07-31 19:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:51:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description leandro 2012-05-02 13:15:29 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/wuja
comment:        it crashed at gnome booting
executable:     /usr/bin/wuja
kernel:         3.3.4-1.fc17.x86_64
time:           mié 02 may 2012 18:17:46 CEST
uid:            1000
username:       leandro

backtrace:
:rfc822.py:388:__getitem__:KeyError: 'last-modified'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/wuja/notifier.py", line 130, in update_configuration
:    self.update()
:  File "/usr/lib/python2.7/site-packages/wuja/notifier.py", line 78, in update
:    cal = self.feed_source.get_calendar(feed_url)
:  File "/usr/lib/python2.7/site-packages/wuja/feed.py", line 57, in get_calendar
:    last_update = self.get_feed_last_update(url)
:  File "/usr/lib/python2.7/site-packages/wuja/feed.py", line 66, in get_feed_last_update
:    return url_file.headers['last-modified']
:  File "/usr/lib64/python2.7/rfc822.py", line 388, in __getitem__
:    return self.dict[name.lower()]
:KeyError: 'last-modified'
:
:Local variables in innermost frame:
:self: <httplib.HTTPMessage instance at 0x20a4ea8>
:name: 'last-modified'

smolt_data:
:
:
:General
:=================================
:UUID: 93411581-639d-4b77-b562-e526ca6ccc0c
:SO: Fedora release 17 (Beefy Miracle)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.utf8
:Plataforma: x86_64
:BogoMIPS: 4521.92
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Core(TM) i5 CPU       M 430  @ 2.27GHz
:Paso del UCP: 2
:Familia de UCP: 6
:Número de Modelo de CPU: 37
:Número de CPUs: 4
:Velocidad del CPU: 2267
:Memoria del Sistema: 3820
:Intercambio (swap) del Sistema: 5855
:Vendedor: Acer
:Sistema: Aspire 5741G V1.02
:Factor de forma: Notebook
:Kernel: 3.3.4-1.fc17.x86_64
:SELinux Habilitado: 0
:Política de SELinux: targeted
:SELinux Obligado: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:11362:4133:877) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:4133:877) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4133:877) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4133:877) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:4133:877) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:4133:877) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:4133:877) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:4133:877) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4133:877) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4133:877) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4133:877) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4133:0) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(5348:5778:4133:877) pci, tg3, ETHERNET, NetLink BCM57780 Gigabit Ethernet PCIe
:(32902:15164:4133:877) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4133:877) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4133:877) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(5348:17239:4187:57377) pci, bcma-pci-bridge, NETWORK, BCM43225 802.11b/g/n
:(32902:15170:4133:877) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4133:877) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4133:877) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4133:877) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(4318:3042:4133:877) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2605:4133:877) pci, nouveau, VIDEO, GT216 [GeForce GT 320M]
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_rivendel-lv_root / ext4 4096 4096 13092026 11557022 11425985 3276800 3128723 3128723
:/dev/sda2 /boot ext4 1024 1024 508745 432893 407293 128016 127722 127722
:/dev/mapper/vg_rivendel-lv_home /home ext4 4096 4096 107239074 104817769 99449961 26845184 26817396 26817396
:
Comment 1 Fedora End Of Life 2013-07-03 18:10:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 19:51:33 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.